Name:          meterbridge
Summary:       Meter Bridge for JACK
Group:         Applications/Multimedia
Version:       0.9.2
Release:       11%{?dist}
URL:           http://plugin.org.uk/meterbridge/
Source0:       http://plugin.org.uk/%{name}/%{name}-%{version}.tar.gz
# Patch sent upstream via email (there is no bugtracker)
Patch0:        meterbridge-gcc43.patch
License:       GPL+
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: jack-audio-connection-kit-devel
BuildRequires: SDL_image-devel

%description
%{name} is a software meter bridge for the UNIX based JACK audio system.
It supports a number of different types of meter, rendered using the SDL
library and user-editable pixmaps.

%prep
%setup -q
%patch0 -p1 -b .gcc43

%build
export CPPFLAGS="%{optflags}"
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed May  6 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.9.2-3
- prepare package for Fedora submission (SPEC file from PlanetCCRMA)

* Tue Feb  5 2008 Arnaud Gomes-do-Vale <Arnaud.Gomes@ircam.fr>
- rebuilt on CentOS 5

* Wed Dec  6 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-2
- spec file tweaks, build for fc6

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- same fix needed for fc5, should make a patch instead

* Wed Jul 13 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- fix build on fc4/gcc4

* Thu Dec 30 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Mon May 10 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added buildrequires

* Sat Nov  8 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- added release tags, clean up spec file

* Tue Jun 10 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.2-1
- updated to version 0.9.2

* Sun Dec 15 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9.0-1
- 0.9.0, add patch to compile with jack 0.41

* Sat Oct 26 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.6-1
- 0.0.6, added docs

* Fri Oct 11 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- Initial build.
